Subject: Ma. Sightings

From: "David H. Small" <[email-masked]>
Date: Sun, 30 Apr 1995 18:11:04 -0400

Cool (52 - 57degrees F) weather in Central Massachusetts seems to be keeping
the number of species found rather slim. Spring Azures (C. ladon) have
appeared every day this week and April 29th at Quabbin Reservoir's Prescott
Penninsula a Clouded Sulpher (Colias philodice) was observed and April 30th,
marked the return of the Ruby-throated Hummingbird to my garden, and a Red
Admiral (Vanessa atalanta) observed sunning itself on a roadside Hemlock
(Tsuga canadensis) in the "Hell's Kitchen" section of Northfield Ma.

Dave Small
Athol, Ma.

[email-masked]
[email-masked]